import unittest

from tmc import points
from tmc.utils import load_module, reload_module, get_stdout

exercise = 'src.longest_repetition'
function = "longest_repetition"

@points('1.longest_repetition')
class LongestRepetitionTest(unittest.TestCase):
    @classmethod
    def setUpClass(cls):
        cls.module = load_module(exercise, 'en')


    def test1_function_exists(self):
        try:
            from src.longest_repetition import longest_repetition
        except:
            self.fail("Your program must contain a function longest_repetition and it should return the result as int")

    def test_longest_repetition(self):
        reload_module(self.module)
        from src.longest_repetition import longest_repetition
        r = longest_repetition("aabbbc")
        self.assertEqual(r, 3)
        r = longest_repetition("gggggggg")
        self.assertEqual(r, 8)


if __name__ == '__main__':
    unittest.main()
